﻿@model List<GarageMaster.Models.RoleModels.UsersForRoleModel>

@{
    ViewData["Title"] = "Edit user in role";
    Guid roleId = ViewBag.roleId;
}

<h1>AddUsersToRole</h1>

<h4>UsersForRoleModel</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="AddUsersToRole" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                @{
                    for (int i = 0; i < Model.ToList().Count; i++)
                    {
                        <div class="form-check m-2">
                            <input type="hidden" asp-for="@Model[i].UserId" />
                            <input type="hidden" asp-for="@Model[i].UserName" />
                            <input type="hidden" asp-for="@roleId" />
                            <input asp-for="@Model[i].IsSelected" type="checkbox" class="form-check-input" style="transform:scale(1.5);" />
                            <label class="form-check-label" asp-for="@Model[i].IsSelected">
                                @Model[i].UserName
                            </label>
                        </div>
                    }
                    <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                }
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-area="Admin" asp-action="ProfileRole" asp-controller="Role" asp-route-id="@roleId">Back to Profile User</a>
</div>